org.apache.poi.xslf.usermodel

## Class XSLFComment

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFComment

- All Implemented Interfaces:
    Comment

      public class XSLFComment
      extends java.lang.Object
      implements Comment

  XSLF Comment
  Since:
    POI 4.0.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()` Get the Author of this comment
    `java.lang.String` | `getAuthorInitials()` Get the Author's Initials of this comment
    `java.util.Date` | `getDate()` Gets the date the comment was made.
    `java.awt.geom.Point2D` | `getOffset()` Gets the offset of the comment on the page.
    `java.lang.String` | `getText()` Get the text of this comment
    `void` | `setAuthor(java.lang.String author)` Set the Author of this comment.
    `void` | `setAuthorInitials(java.lang.String initials)` Set the Author's Initials of this comment.
    `void` | `setDate(java.util.Date date)` Sets the date the comment was made.
    `void` | `setOffset(java.awt.geom.Point2D offset)` Sets the offset of the comment on the page.
    `void` | `setText(java.lang.String text)` Set the text of this comment

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAuthor

          public java.lang.String getAuthor()

      Description copied from interface: `Comment`
      Get the Author of this comment
      Specified by:
        `getAuthor` in interface `Comment`

    - #### setAuthor

          public void setAuthor(java.lang.String author)

      Description copied from interface: `Comment`
      Set the Author of this comment. if the author wasn't registered before, create a new entry
      Specified by:
        `setAuthor` in interface `Comment`

    - #### getAuthorInitials

          public java.lang.String getAuthorInitials()

      Description copied from interface: `Comment`
      Get the Author's Initials of this comment
      Specified by:
        `getAuthorInitials` in interface `Comment`

    - #### setAuthorInitials

          public void setAuthorInitials(java.lang.String initials)

      Description copied from interface: `Comment`
      Set the Author's Initials of this comment. if the author wasn't registered before via `Comment.setAuthor(String)` this has no effect
      Specified by:
        `setAuthorInitials` in interface `Comment`

    - #### getText

          public java.lang.String getText()

      Description copied from interface: `Comment`
      Get the text of this comment
      Specified by:
        `getText` in interface `Comment`

    - #### setText

          public void setText(java.lang.String text)

      Description copied from interface: `Comment`
      Set the text of this comment
      Specified by:
        `setText` in interface `Comment`

    - #### getDate

          public java.util.Date getDate()

      Description copied from interface: `Comment`
      Gets the date the comment was made.
      Specified by:
        `getDate` in interface `Comment`
      Returns:
        the comment date.

    - #### setDate

          public void setDate(java.util.Date date)

      Description copied from interface: `Comment`
      Sets the date the comment was made.
      Specified by:
        `setDate` in interface `Comment`
      Parameters:
        `date` - the comment date.

    - #### getOffset

          public java.awt.geom.Point2D getOffset()

      Description copied from interface: `Comment`
      Gets the offset of the comment on the page.
      Specified by:
        `getOffset` in interface `Comment`
      Returns:
        the offset.

    - #### setOffset

          public void setOffset(java.awt.geom.Point2D offset)

      Description copied from interface: `Comment`
      Sets the offset of the comment on the page.
      Specified by:
        `setOffset` in interface `Comment`
      Parameters:
        `offset` - the offset.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.